Blame Makefile.in

Packit c22fc9
# Makefile.in generated by automake 1.15 from Makefile.am.
Packit c22fc9
# @configure_input@
Packit c22fc9
Packit c22fc9
# Copyright (C) 1994-2014 Free Software Foundation, Inc.
Packit c22fc9
Packit c22fc9
# This Makefile.in is free software; the Free Software Foundation
Packit c22fc9
# gives unlimited permission to copy and/or distribute it,
Packit c22fc9
# with or without modifications, as long as this notice is preserved.
Packit c22fc9
Packit c22fc9
# This program is distributed in the hope that it will be useful,
Packit c22fc9
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
Packit c22fc9
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
Packit c22fc9
# PARTICULAR PURPOSE.
Packit c22fc9
Packit c22fc9
@SET_MAKE@
Packit c22fc9
Packit c22fc9
# Makefile.am
Packit c22fc9
#
Packit c22fc9
# Keepalived OpenSource project.
Packit c22fc9
#
Packit c22fc9
# Copyright (C) 2001-2017 Alexandre Cassen, <acassen@gmail.com>
Packit c22fc9
Packit c22fc9
VPATH = @srcdir@
Packit c22fc9
am__is_gnu_make = { \
Packit c22fc9
  if test -z '$(MAKELEVEL)'; then \
Packit c22fc9
    false; \
Packit c22fc9
  elif test -n '$(MAKE_HOST)'; then \
Packit c22fc9
    true; \
Packit c22fc9
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
Packit c22fc9
    true; \
Packit c22fc9
  else \
Packit c22fc9
    false; \
Packit c22fc9
  fi; \
Packit c22fc9
}
Packit c22fc9
am__make_running_with_option = \
Packit c22fc9
  case $${target_option-} in \
Packit c22fc9
      ?) ;; \
Packit c22fc9
      *) echo "am__make_running_with_option: internal error: invalid" \
Packit c22fc9
              "target option '$${target_option-}' specified" >&2; \
Packit c22fc9
         exit 1;; \
Packit c22fc9
  esac; \
Packit c22fc9
  has_opt=no; \
Packit c22fc9
  sane_makeflags=$$MAKEFLAGS; \
Packit c22fc9
  if $(am__is_gnu_make); then \
Packit c22fc9
    sane_makeflags=$$MFLAGS; \
Packit c22fc9
  else \
Packit c22fc9
    case $$MAKEFLAGS in \
Packit c22fc9
      *\\[\ \	]*) \
Packit c22fc9
        bs=\\; \
Packit c22fc9
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
Packit c22fc9
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
Packit c22fc9
    esac; \
Packit c22fc9
  fi; \
Packit c22fc9
  skip_next=no; \
Packit c22fc9
  strip_trailopt () \
Packit c22fc9
  { \
Packit c22fc9
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
Packit c22fc9
  }; \
Packit c22fc9
  for flg in $$sane_makeflags; do \
Packit c22fc9
    test $$skip_next = yes && { skip_next=no; continue; }; \
Packit c22fc9
    case $$flg in \
Packit c22fc9
      *=*|--*) continue;; \
Packit c22fc9
        -*I) strip_trailopt 'I'; skip_next=yes;; \
Packit c22fc9
      -*I?*) strip_trailopt 'I';; \
Packit c22fc9
        -*O) strip_trailopt 'O'; skip_next=yes;; \
Packit c22fc9
      -*O?*) strip_trailopt 'O';; \
Packit c22fc9
        -*l) strip_trailopt 'l'; skip_next=yes;; \
Packit c22fc9
      -*l?*) strip_trailopt 'l';; \
Packit c22fc9
      -[dEDm]) skip_next=yes;; \
Packit c22fc9
      -[JT]) skip_next=yes;; \
Packit c22fc9
    esac; \
Packit c22fc9
    case $$flg in \
Packit c22fc9
      *$$target_option*) has_opt=yes; break;; \
Packit c22fc9
    esac; \
Packit c22fc9
  done; \
Packit c22fc9
  test $$has_opt = yes
Packit c22fc9
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
Packit c22fc9
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
Packit c22fc9
pkgdatadir = $(datadir)/@PACKAGE@
Packit c22fc9
pkgincludedir = $(includedir)/@PACKAGE@
Packit c22fc9
pkglibdir = $(libdir)/@PACKAGE@
Packit c22fc9
pkglibexecdir = $(libexecdir)/@PACKAGE@
Packit c22fc9
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
Packit c22fc9
install_sh_DATA = $(install_sh) -c -m 644
Packit c22fc9
install_sh_PROGRAM = $(install_sh) -c
Packit c22fc9
install_sh_SCRIPT = $(install_sh) -c
Packit c22fc9
INSTALL_HEADER = $(INSTALL_DATA)
Packit c22fc9
transform = $(program_transform_name)
Packit c22fc9
NORMAL_INSTALL = :
Packit c22fc9
PRE_INSTALL = :
Packit c22fc9
POST_INSTALL = :
Packit c22fc9
NORMAL_UNINSTALL = :
Packit c22fc9
PRE_UNINSTALL = :
Packit c22fc9
POST_UNINSTALL = :
Packit c22fc9
@BUILD_GENHASH_TRUE@am__append_1 = genhash
Packit c22fc9
subdir = .
Packit c22fc9
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
Packit c22fc9
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
Packit c22fc9
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
Packit c22fc9
	$(ACLOCAL_M4)
Packit c22fc9
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
Packit c22fc9
	$(am__configure_deps) $(am__DIST_COMMON)
Packit c22fc9
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
Packit c22fc9
 configure.lineno config.status.lineno
Packit c22fc9
mkinstalldirs = $(install_sh) -d
Packit c22fc9
CONFIG_HEADER = $(top_builddir)/lib/config.h
Packit c22fc9
CONFIG_CLEAN_FILES = keepalived.spec
Packit c22fc9
CONFIG_CLEAN_VPATH_FILES =
Packit c22fc9
AM_V_P = $(am__v_P_@AM_V@)
Packit c22fc9
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
Packit c22fc9
am__v_P_0 = false
Packit c22fc9
am__v_P_1 = :
Packit c22fc9
AM_V_GEN = $(am__v_GEN_@AM_V@)
Packit c22fc9
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
Packit c22fc9
am__v_GEN_0 = @echo "  GEN     " $@;
Packit c22fc9
am__v_GEN_1 = 
Packit c22fc9
AM_V_at = $(am__v_at_@AM_V@)
Packit c22fc9
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
Packit c22fc9
am__v_at_0 = @
Packit c22fc9
am__v_at_1 = 
Packit c22fc9
SOURCES =
Packit c22fc9
DIST_SOURCES =
Packit c22fc9
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
Packit c22fc9
	ctags-recursive dvi-recursive html-recursive info-recursive \
Packit c22fc9
	install-data-recursive install-dvi-recursive \
Packit c22fc9
	install-exec-recursive install-html-recursive \
Packit c22fc9
	install-info-recursive install-pdf-recursive \
Packit c22fc9
	install-ps-recursive install-recursive installcheck-recursive \
Packit c22fc9
	installdirs-recursive pdf-recursive ps-recursive \
Packit c22fc9
	tags-recursive uninstall-recursive
Packit c22fc9
am__can_run_installinfo = \
Packit c22fc9
  case $$AM_UPDATE_INFO_DIR in \
Packit c22fc9
    n|no|NO) false;; \
Packit c22fc9
    *) (install-info --version) >/dev/null 2>&1;; \
Packit c22fc9
  esac
Packit c22fc9
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
Packit c22fc9
am__vpath_adj = case $$p in \
Packit c22fc9
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
Packit c22fc9
    *) f=$$p;; \
Packit c22fc9
  esac;
Packit c22fc9
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
Packit c22fc9
am__install_max = 40
Packit c22fc9
am__nobase_strip_setup = \
Packit c22fc9
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
Packit c22fc9
am__nobase_strip = \
Packit c22fc9
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
Packit c22fc9
am__nobase_list = $(am__nobase_strip_setup); \
Packit c22fc9
  for p in $$list; do echo "$$p $$p"; done | \
Packit c22fc9
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
Packit c22fc9
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
Packit c22fc9
    if (++n[$$2] == $(am__install_max)) \
Packit c22fc9
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
Packit c22fc9
    END { for (dir in files) print dir, files[dir] }'
Packit c22fc9
am__base_list = \
Packit c22fc9
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
Packit c22fc9
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
Packit c22fc9
am__uninstall_files_from_dir = { \
Packit c22fc9
  test -z "$$files" \
Packit c22fc9
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
Packit c22fc9
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
Packit c22fc9
         $(am__cd) "$$dir" && rm -f $$files; }; \
Packit c22fc9
  }
Packit c22fc9
am__installdirs = "$(DESTDIR)$(docdir)"
Packit c22fc9
DATA = $(doc_DATA)
Packit c22fc9
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
Packit c22fc9
  distclean-recursive maintainer-clean-recursive
Packit c22fc9
am__recursive_targets = \
Packit c22fc9
  $(RECURSIVE_TARGETS) \
Packit c22fc9
  $(RECURSIVE_CLEAN_TARGETS) \
Packit c22fc9
  $(am__extra_recursive_targets)
Packit c22fc9
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
Packit c22fc9
	cscope distdir dist dist-all distcheck
Packit c22fc9
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
Packit c22fc9
# Read a list of newline-separated strings from the standard input,
Packit c22fc9
# and print each of them once, without duplicates.  Input order is
Packit c22fc9
# *not* preserved.
Packit c22fc9
am__uniquify_input = $(AWK) '\
Packit c22fc9
  BEGIN { nonempty = 0; } \
Packit c22fc9
  { items[$$0] = 1; nonempty = 1; } \
Packit c22fc9
  END { if (nonempty) { for (i in items) print i; }; } \
Packit c22fc9
'
Packit c22fc9
# Make sure the list of sources is unique.  This is necessary because,
Packit c22fc9
# e.g., the same source file might be shared among _SOURCES variables
Packit c22fc9
# for different programs/libraries.
Packit c22fc9
am__define_uniq_tagged_files = \
Packit c22fc9
  list='$(am__tagged_files)'; \
Packit c22fc9
  unique=`for i in $$list; do \
Packit c22fc9
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
Packit c22fc9
  done | $(am__uniquify_input)`
Packit c22fc9
ETAGS = etags
Packit c22fc9
CTAGS = ctags
Packit c22fc9
CSCOPE = cscope
Packit c22fc9
DIST_SUBDIRS = lib keepalived doc genhash bin_install
Packit c22fc9
am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/keepalived.spec.in \
Packit c22fc9
	COPYING ChangeLog INSTALL README TODO ar-lib compile depcomp \
Packit c22fc9
	install-sh missing
Packit c22fc9
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
Packit c22fc9
distdir = $(PACKAGE)-$(VERSION)
Packit c22fc9
top_distdir = $(distdir)
Packit c22fc9
am__remove_distdir = \
Packit c22fc9
  if test -d "$(distdir)"; then \
Packit c22fc9
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
Packit c22fc9
      && rm -rf "$(distdir)" \
Packit c22fc9
      || { sleep 5 && rm -rf "$(distdir)"; }; \
Packit c22fc9
  else :; fi
Packit c22fc9
am__post_remove_distdir = $(am__remove_distdir)
Packit c22fc9
am__relativize = \
Packit c22fc9
  dir0=`pwd`; \
Packit c22fc9
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
Packit c22fc9
  sed_rest='s,^[^/]*/*,,'; \
Packit c22fc9
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
Packit c22fc9
  sed_butlast='s,/*[^/]*$$,,'; \
Packit c22fc9
  while test -n "$$dir1"; do \
Packit c22fc9
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
Packit c22fc9
    if test "$$first" != "."; then \
Packit c22fc9
      if test "$$first" = ".."; then \
Packit c22fc9
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
Packit c22fc9
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
Packit c22fc9
      else \
Packit c22fc9
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
Packit c22fc9
        if test "$$first2" = "$$first"; then \
Packit c22fc9
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
Packit c22fc9
        else \
Packit c22fc9
          dir2="../$$dir2"; \
Packit c22fc9
        fi; \
Packit c22fc9
        dir0="$$dir0"/"$$first"; \
Packit c22fc9
      fi; \
Packit c22fc9
    fi; \
Packit c22fc9
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
Packit c22fc9
  done; \
Packit c22fc9
  reldir="$$dir2"
Packit c22fc9
DIST_ARCHIVES = $(distdir).tar.gz
Packit c22fc9
GZIP_ENV = --best
Packit c22fc9
DIST_TARGETS = dist-gzip
Packit c22fc9
distuninstallcheck_listfiles = find . -type f -print
Packit c22fc9
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
Packit c22fc9
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
Packit c22fc9
distcleancheck_listfiles = find . -type f -print
Packit c22fc9
ACLOCAL = @ACLOCAL@
Packit c22fc9
AMTAR = @AMTAR@
Packit c22fc9
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
Packit c22fc9
AR = @AR@
Packit c22fc9
ARFLAGS = @ARFLAGS@
Packit c22fc9
AUTOCONF = @AUTOCONF@
Packit c22fc9
AUTOHEADER = @AUTOHEADER@
Packit c22fc9
AUTOMAKE = @AUTOMAKE@
Packit c22fc9
AWK = @AWK@
Packit c22fc9
CC = @CC@
Packit c22fc9
CCDEPMODE = @CCDEPMODE@
Packit c22fc9
CFLAGS = @CFLAGS@
Packit c22fc9
CPP = @CPP@
Packit c22fc9
CPPFLAGS = @CPPFLAGS@
Packit c22fc9
CYGPATH_W = @CYGPATH_W@
Packit c22fc9
DEFAULT_CONFIG_FILE = @DEFAULT_CONFIG_FILE@
Packit c22fc9
DEFS = @DEFS@
Packit c22fc9
DEPDIR = @DEPDIR@
Packit c22fc9
ECHO_C = @ECHO_C@
Packit c22fc9
ECHO_N = @ECHO_N@
Packit c22fc9
ECHO_T = @ECHO_T@
Packit c22fc9
EGREP = @EGREP@
Packit c22fc9
EXEEXT = @EXEEXT@
Packit c22fc9
GENHASH_LIBS = @GENHASH_LIBS@
Packit c22fc9
GREP = @GREP@
Packit c22fc9
HAVE_RPM = @HAVE_RPM@
Packit c22fc9
HAVE_RPMBUILD = @HAVE_RPMBUILD@
Packit c22fc9
HAVE_SPHINX_BUILD = @HAVE_SPHINX_BUILD@
Packit c22fc9
INSTALL = @INSTALL@
Packit c22fc9
INSTALL_DATA = @INSTALL_DATA@
Packit c22fc9
INSTALL_PROGRAM = @INSTALL_PROGRAM@
Packit c22fc9
INSTALL_SCRIPT = @INSTALL_SCRIPT@
Packit c22fc9
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
Packit c22fc9
KA_CFLAGS = @KA_CFLAGS@
Packit c22fc9
KA_CPPFLAGS = @KA_CPPFLAGS@
Packit c22fc9
KA_LDFLAGS = @KA_LDFLAGS@
Packit c22fc9
KA_LIBS = @KA_LIBS@
Packit c22fc9
LDD = @LDD@
Packit c22fc9
LDFLAGS = @LDFLAGS@
Packit c22fc9
LIBOBJS = @LIBOBJS@
Packit c22fc9
LIBS = @LIBS@
Packit c22fc9
LN_S = @LN_S@
Packit c22fc9
LTLIBOBJS = @LTLIBOBJS@
Packit c22fc9
MAINTAINERCLEANFILES = @MAINTAINERCLEANFILES@
Packit c22fc9
MAKEINFO = @MAKEINFO@
Packit c22fc9
MKDIR_P = @MKDIR_P@
Packit c22fc9
NETSNMP_CONFIG = @NETSNMP_CONFIG@
Packit c22fc9
OBJEXT = @OBJEXT@
Packit c22fc9
PACKAGE = @PACKAGE@
Packit c22fc9
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
Packit c22fc9
PACKAGE_NAME = @PACKAGE_NAME@
Packit c22fc9
PACKAGE_STRING = @PACKAGE_STRING@
Packit c22fc9
PACKAGE_TARNAME = @PACKAGE_TARNAME@
Packit c22fc9
PACKAGE_URL = @PACKAGE_URL@
Packit c22fc9
PACKAGE_VERSION = @PACKAGE_VERSION@
Packit c22fc9
PATH_SEPARATOR = @PATH_SEPARATOR@
Packit c22fc9
PID_DIR = @PID_DIR@
Packit c22fc9
PKG_CONFIG = @PKG_CONFIG@
Packit c22fc9
PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
Packit c22fc9
PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
Packit c22fc9
RANLIB = @RANLIB@
Packit c22fc9
SED = @SED@
Packit c22fc9
SET_MAKE = @SET_MAKE@
Packit c22fc9
SHELL = @SHELL@
Packit c22fc9
SPHINXBUILDNAME = @SPHINXBUILDNAME@
Packit c22fc9
STRIP = @STRIP@
Packit c22fc9
VERSION = @VERSION@
Packit c22fc9
abs_builddir = @abs_builddir@
Packit c22fc9
abs_srcdir = @abs_srcdir@
Packit c22fc9
abs_top_builddir = @abs_top_builddir@
Packit c22fc9
abs_top_srcdir = @abs_top_srcdir@
Packit c22fc9
ac_ct_AR = @ac_ct_AR@
Packit c22fc9
ac_ct_CC = @ac_ct_CC@
Packit c22fc9
am__include = @am__include@
Packit c22fc9
am__leading_dot = @am__leading_dot@
Packit c22fc9
am__quote = @am__quote@
Packit c22fc9
am__tar = @am__tar@
Packit c22fc9
am__untar = @am__untar@
Packit c22fc9
bindir = @bindir@
Packit c22fc9
build_alias = @build_alias@
Packit c22fc9
builddir = @builddir@
Packit c22fc9
datadir = @datadir@
Packit c22fc9
datarootdir = @datarootdir@
Packit c22fc9
docdir = @docdir@
Packit c22fc9
dvidir = @dvidir@
Packit c22fc9
exec_prefix = @exec_prefix@
Packit c22fc9
host_alias = @host_alias@
Packit c22fc9
htmldir = @htmldir@
Packit c22fc9
includedir = @includedir@
Packit c22fc9
infodir = @infodir@
Packit c22fc9
install_sh = @install_sh@
Packit c22fc9
libdir = @libdir@
Packit c22fc9
libexecdir = @libexecdir@
Packit c22fc9
localedir = @localedir@
Packit c22fc9
localstatedir = @localstatedir@
Packit c22fc9
mandir = @mandir@
Packit c22fc9
mkdir_p = @mkdir_p@
Packit c22fc9
oldincludedir = @oldincludedir@
Packit c22fc9
pdfdir = @pdfdir@
Packit c22fc9
prefix = @prefix@
Packit c22fc9
program_transform_name = @program_transform_name@
Packit c22fc9
psdir = @psdir@
Packit c22fc9
runstatedir = @runstatedir@
Packit c22fc9
sbindir = @sbindir@
Packit c22fc9
sharedstatedir = @sharedstatedir@
Packit c22fc9
srcdir = @srcdir@
Packit c22fc9
sysconfdir = @sysconfdir@
Packit c22fc9
systemdsystemunitdir = @systemdsystemunitdir@
Packit c22fc9
target_alias = @target_alias@
Packit c22fc9
top_build_prefix = @top_build_prefix@
Packit c22fc9
top_builddir = @top_builddir@
Packit c22fc9
top_srcdir = @top_srcdir@
Packit c22fc9
edit = echo "  EDIT     $@"; \
Packit c22fc9
	 sed -e "/^\[\!\[/d"
Packit c22fc9
Packit c22fc9
SUBDIRS = lib keepalived doc $(am__append_1) bin_install
Packit c22fc9
EXTRA_DIST = AUTHOR CONTRIBUTORS snap README.md
Packit c22fc9
doc_DATA = README
Packit c22fc9
MOSTLYCLEANFILES = README
Packit c22fc9
DISTCHECK_CONFIGURE_FLAGS = \
Packit c22fc9
        --with-systemdsystemunitdir=$$dc_install_base/$(systemdsystemunitdir)
Packit c22fc9
Packit c22fc9
all: all-recursive
Packit c22fc9
Packit c22fc9
.SUFFIXES:
Packit c22fc9
am--refresh: Makefile
Packit c22fc9
	@:
Packit c22fc9
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
Packit c22fc9
	@for dep in $?; do \
Packit c22fc9
	  case '$(am__configure_deps)' in \
Packit c22fc9
	    *$$dep*) \
Packit c22fc9
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
Packit c22fc9
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
Packit c22fc9
		&& exit 0; \
Packit c22fc9
	      exit 1;; \
Packit c22fc9
	  esac; \
Packit c22fc9
	done; \
Packit c22fc9
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
Packit c22fc9
	$(am__cd) $(top_srcdir) && \
Packit c22fc9
	  $(AUTOMAKE) --foreign Makefile
Packit c22fc9
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Packit c22fc9
	@case '$?' in \
Packit c22fc9
	  *config.status*) \
Packit c22fc9
	    echo ' $(SHELL) ./config.status'; \
Packit c22fc9
	    $(SHELL) ./config.status;; \
Packit c22fc9
	  *) \
Packit c22fc9
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
Packit c22fc9
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
Packit c22fc9
	esac;
Packit c22fc9
Packit c22fc9
$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
Packit c22fc9
	$(SHELL) ./config.status --recheck
Packit c22fc9
Packit c22fc9
$(top_srcdir)/configure:  $(am__configure_deps)
Packit c22fc9
	$(am__cd) $(srcdir) && $(AUTOCONF)
Packit c22fc9
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
Packit c22fc9
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
Packit c22fc9
$(am__aclocal_m4_deps):
Packit c22fc9
keepalived.spec: $(top_builddir)/config.status $(srcdir)/keepalived.spec.in
Packit c22fc9
	cd $(top_builddir) && $(SHELL) ./config.status $@
Packit c22fc9
install-docDATA: $(doc_DATA)
Packit c22fc9
	@$(NORMAL_INSTALL)
Packit c22fc9
	@list='$(doc_DATA)'; test -n "$(docdir)" || list=; \
Packit c22fc9
	if test -n "$$list"; then \
Packit c22fc9
	  echo " $(MKDIR_P) '$(DESTDIR)$(docdir)'"; \
Packit c22fc9
	  $(MKDIR_P) "$(DESTDIR)$(docdir)" || exit 1; \
Packit c22fc9
	fi; \
Packit c22fc9
	for p in $$list; do \
Packit c22fc9
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
Packit c22fc9
	  echo "$$d$$p"; \
Packit c22fc9
	done | $(am__base_list) | \
Packit c22fc9
	while read files; do \
Packit c22fc9
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(docdir)'"; \
Packit c22fc9
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(docdir)" || exit $$?; \
Packit c22fc9
	done
Packit c22fc9
Packit c22fc9
uninstall-docDATA:
Packit c22fc9
	@$(NORMAL_UNINSTALL)
Packit c22fc9
	@list='$(doc_DATA)'; test -n "$(docdir)" || list=; \
Packit c22fc9
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
Packit c22fc9
	dir='$(DESTDIR)$(docdir)'; $(am__uninstall_files_from_dir)
Packit c22fc9
Packit c22fc9
# This directory's subdirectories are mostly independent; you can cd
Packit c22fc9
# into them and run 'make' without going through this Makefile.
Packit c22fc9
# To change the values of 'make' variables: instead of editing Makefiles,
Packit c22fc9
# (1) if the variable is set in 'config.status', edit 'config.status'
Packit c22fc9
#     (which will cause the Makefiles to be regenerated when you run 'make');
Packit c22fc9
# (2) otherwise, pass the desired values on the 'make' command line.
Packit c22fc9
$(am__recursive_targets):
Packit c22fc9
	@fail=; \
Packit c22fc9
	if $(am__make_keepgoing); then \
Packit c22fc9
	  failcom='fail=yes'; \
Packit c22fc9
	else \
Packit c22fc9
	  failcom='exit 1'; \
Packit c22fc9
	fi; \
Packit c22fc9
	dot_seen=no; \
Packit c22fc9
	target=`echo $@ | sed s/-recursive//`; \
Packit c22fc9
	case "$@" in \
Packit c22fc9
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
Packit c22fc9
	  *) list='$(SUBDIRS)' ;; \
Packit c22fc9
	esac; \
Packit c22fc9
	for subdir in $$list; do \
Packit c22fc9
	  echo "Making $$target in $$subdir"; \
Packit c22fc9
	  if test "$$subdir" = "."; then \
Packit c22fc9
	    dot_seen=yes; \
Packit c22fc9
	    local_target="$$target-am"; \
Packit c22fc9
	  else \
Packit c22fc9
	    local_target="$$target"; \
Packit c22fc9
	  fi; \
Packit c22fc9
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
Packit c22fc9
	  || eval $$failcom; \
Packit c22fc9
	done; \
Packit c22fc9
	if test "$$dot_seen" = "no"; then \
Packit c22fc9
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
Packit c22fc9
	fi; test -z "$$fail"
Packit c22fc9
Packit c22fc9
ID: $(am__tagged_files)
Packit c22fc9
	$(am__define_uniq_tagged_files); mkid -fID $$unique
Packit c22fc9
tags: tags-recursive
Packit c22fc9
TAGS: tags
Packit c22fc9
Packit c22fc9
tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
Packit c22fc9
	set x; \
Packit c22fc9
	here=`pwd`; \
Packit c22fc9
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
Packit c22fc9
	  include_option=--etags-include; \
Packit c22fc9
	  empty_fix=.; \
Packit c22fc9
	else \
Packit c22fc9
	  include_option=--include; \
Packit c22fc9
	  empty_fix=; \
Packit c22fc9
	fi; \
Packit c22fc9
	list='$(SUBDIRS)'; for subdir in $$list; do \
Packit c22fc9
	  if test "$$subdir" = .; then :; else \
Packit c22fc9
	    test ! -f $$subdir/TAGS || \
Packit c22fc9
	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
Packit c22fc9
	  fi; \
Packit c22fc9
	done; \
Packit c22fc9
	$(am__define_uniq_tagged_files); \
Packit c22fc9
	shift; \
Packit c22fc9
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
Packit c22fc9
	  test -n "$$unique" || unique=$$empty_fix; \
Packit c22fc9
	  if test $$# -gt 0; then \
Packit c22fc9
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
Packit c22fc9
	      "$$@" $$unique; \
Packit c22fc9
	  else \
Packit c22fc9
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
Packit c22fc9
	      $$unique; \
Packit c22fc9
	  fi; \
Packit c22fc9
	fi
Packit c22fc9
ctags: ctags-recursive
Packit c22fc9
Packit c22fc9
CTAGS: ctags
Packit c22fc9
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
Packit c22fc9
	$(am__define_uniq_tagged_files); \
Packit c22fc9
	test -z "$(CTAGS_ARGS)$$unique" \
Packit c22fc9
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
Packit c22fc9
	     $$unique
Packit c22fc9
Packit c22fc9
GTAGS:
Packit c22fc9
	here=`$(am__cd) $(top_builddir) && pwd` \
Packit c22fc9
	  && $(am__cd) $(top_srcdir) \
Packit c22fc9
	  && gtags -i $(GTAGS_ARGS) "$$here"
Packit c22fc9
cscope: cscope.files
Packit c22fc9
	test ! -s cscope.files \
Packit c22fc9
	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
Packit c22fc9
clean-cscope:
Packit c22fc9
	-rm -f cscope.files
Packit c22fc9
cscope.files: clean-cscope cscopelist
Packit c22fc9
cscopelist: cscopelist-recursive
Packit c22fc9
Packit c22fc9
cscopelist-am: $(am__tagged_files)
Packit c22fc9
	list='$(am__tagged_files)'; \
Packit c22fc9
	case "$(srcdir)" in \
Packit c22fc9
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
Packit c22fc9
	  *) sdir=$(subdir)/$(srcdir) ;; \
Packit c22fc9
	esac; \
Packit c22fc9
	for i in $$list; do \
Packit c22fc9
	  if test -f "$$i"; then \
Packit c22fc9
	    echo "$(subdir)/$$i"; \
Packit c22fc9
	  else \
Packit c22fc9
	    echo "$$sdir/$$i"; \
Packit c22fc9
	  fi; \
Packit c22fc9
	done >> $(top_builddir)/cscope.files
Packit c22fc9
Packit c22fc9
distclean-tags:
Packit c22fc9
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
Packit c22fc9
	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
Packit c22fc9
Packit c22fc9
distdir: $(DISTFILES)
Packit c22fc9
	$(am__remove_distdir)
Packit c22fc9
	test -d "$(distdir)" || mkdir "$(distdir)"
Packit c22fc9
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
Packit c22fc9
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
Packit c22fc9
	list='$(DISTFILES)'; \
Packit c22fc9
	  dist_files=`for file in $$list; do echo $$file; done | \
Packit c22fc9
	  sed -e "s|^$$srcdirstrip/||;t" \
Packit c22fc9
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
Packit c22fc9
	case $$dist_files in \
Packit c22fc9
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
Packit c22fc9
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
Packit c22fc9
			   sort -u` ;; \
Packit c22fc9
	esac; \
Packit c22fc9
	for file in $$dist_files; do \
Packit c22fc9
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
Packit c22fc9
	  if test -d $$d/$$file; then \
Packit c22fc9
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
Packit c22fc9
	    if test -d "$(distdir)/$$file"; then \
Packit c22fc9
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
Packit c22fc9
	    fi; \
Packit c22fc9
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
Packit c22fc9
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
Packit c22fc9
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
Packit c22fc9
	    fi; \
Packit c22fc9
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
Packit c22fc9
	  else \
Packit c22fc9
	    test -f "$(distdir)/$$file" \
Packit c22fc9
	    || cp -p $$d/$$file "$(distdir)/$$file" \
Packit c22fc9
	    || exit 1; \
Packit c22fc9
	  fi; \
Packit c22fc9
	done
Packit c22fc9
	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
Packit c22fc9
	  if test "$$subdir" = .; then :; else \
Packit c22fc9
	    $(am__make_dryrun) \
Packit c22fc9
	      || test -d "$(distdir)/$$subdir" \
Packit c22fc9
	      || $(MKDIR_P) "$(distdir)/$$subdir" \
Packit c22fc9
	      || exit 1; \
Packit c22fc9
	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
Packit c22fc9
	    $(am__relativize); \
Packit c22fc9
	    new_distdir=$$reldir; \
Packit c22fc9
	    dir1=$$subdir; dir2="$(top_distdir)"; \
Packit c22fc9
	    $(am__relativize); \
Packit c22fc9
	    new_top_distdir=$$reldir; \
Packit c22fc9
	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
Packit c22fc9
	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
Packit c22fc9
	    ($(am__cd) $$subdir && \
Packit c22fc9
	      $(MAKE) $(AM_MAKEFLAGS) \
Packit c22fc9
	        top_distdir="$$new_top_distdir" \
Packit c22fc9
	        distdir="$$new_distdir" \
Packit c22fc9
		am__remove_distdir=: \
Packit c22fc9
		am__skip_length_check=: \
Packit c22fc9
		am__skip_mode_fix=: \
Packit c22fc9
	        distdir) \
Packit c22fc9
	      || exit 1; \
Packit c22fc9
	  fi; \
Packit c22fc9
	done
Packit c22fc9
	$(MAKE) $(AM_MAKEFLAGS) \
Packit c22fc9
	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
Packit c22fc9
	  dist-hook
Packit c22fc9
	-test -n "$(am__skip_mode_fix)" \
Packit c22fc9
	|| find "$(distdir)" -type d ! -perm -755 \
Packit c22fc9
		-exec chmod u+rwx,go+rx {} \; -o \
Packit c22fc9
	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
Packit c22fc9
	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
Packit c22fc9
	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
Packit c22fc9
	|| chmod -R a+r "$(distdir)"
Packit c22fc9
dist-gzip: distdir
Packit c22fc9
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
Packit c22fc9
	$(am__post_remove_distdir)
Packit c22fc9
Packit c22fc9
dist-bzip2: distdir
Packit c22fc9
	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
Packit c22fc9
	$(am__post_remove_distdir)
Packit c22fc9
Packit c22fc9
dist-lzip: distdir
Packit c22fc9
	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
Packit c22fc9
	$(am__post_remove_distdir)
Packit c22fc9
Packit c22fc9
dist-xz: distdir
Packit c22fc9
	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
Packit c22fc9
	$(am__post_remove_distdir)
Packit c22fc9
Packit c22fc9
dist-tarZ: distdir
Packit c22fc9
	@echo WARNING: "Support for distribution archives compressed with" \
Packit c22fc9
		       "legacy program 'compress' is deprecated." >&2
Packit c22fc9
	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
Packit c22fc9
	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
Packit c22fc9
	$(am__post_remove_distdir)
Packit c22fc9
Packit c22fc9
dist-shar: distdir
Packit c22fc9
	@echo WARNING: "Support for shar distribution archives is" \
Packit c22fc9
	               "deprecated." >&2
Packit c22fc9
	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
Packit c22fc9
	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
Packit c22fc9
	$(am__post_remove_distdir)
Packit c22fc9
Packit c22fc9
dist-zip: distdir
Packit c22fc9
	-rm -f $(distdir).zip
Packit c22fc9
	zip -rq $(distdir).zip $(distdir)
Packit c22fc9
	$(am__post_remove_distdir)
Packit c22fc9
Packit c22fc9
dist dist-all:
Packit c22fc9
	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
Packit c22fc9
	$(am__post_remove_distdir)
Packit c22fc9
Packit c22fc9
# This target untars the dist file and tries a VPATH configuration.  Then
Packit c22fc9
# it guarantees that the distribution is self-contained by making another
Packit c22fc9
# tarfile.
Packit c22fc9
distcheck: dist
Packit c22fc9
	case '$(DIST_ARCHIVES)' in \
Packit c22fc9
	*.tar.gz*) \
Packit c22fc9
	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
Packit c22fc9
	*.tar.bz2*) \
Packit c22fc9
	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
Packit c22fc9
	*.tar.lz*) \
Packit c22fc9
	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
Packit c22fc9
	*.tar.xz*) \
Packit c22fc9
	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
Packit c22fc9
	*.tar.Z*) \
Packit c22fc9
	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
Packit c22fc9
	*.shar.gz*) \
Packit c22fc9
	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
Packit c22fc9
	*.zip*) \
Packit c22fc9
	  unzip $(distdir).zip ;;\
Packit c22fc9
	esac
Packit c22fc9
	chmod -R a-w $(distdir)
Packit c22fc9
	chmod u+w $(distdir)
Packit c22fc9
	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
Packit c22fc9
	chmod a-w $(distdir)
Packit c22fc9
	test -d $(distdir)/_build || exit 0; \
Packit c22fc9
	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
Packit c22fc9
	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
Packit c22fc9
	  && am__cwd=`pwd` \
Packit c22fc9
	  && $(am__cd) $(distdir)/_build/sub \
Packit c22fc9
	  && ../../configure \
Packit c22fc9
	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
Packit c22fc9
	    $(DISTCHECK_CONFIGURE_FLAGS) \
Packit c22fc9
	    --srcdir=../.. --prefix="$$dc_install_base" \
Packit c22fc9
	  && $(MAKE) $(AM_MAKEFLAGS) \
Packit c22fc9
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
Packit c22fc9
	  && $(MAKE) $(AM_MAKEFLAGS) check \
Packit c22fc9
	  && $(MAKE) $(AM_MAKEFLAGS) install \
Packit c22fc9
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
Packit c22fc9
	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
Packit c22fc9
	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
Packit c22fc9
	        distuninstallcheck \
Packit c22fc9
	  && chmod -R a-w "$$dc_install_base" \
Packit c22fc9
	  && ({ \
Packit c22fc9
	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
Packit c22fc9
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
Packit c22fc9
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
Packit c22fc9
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
Packit c22fc9
	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
Packit c22fc9
	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
Packit c22fc9
	  && rm -rf "$$dc_destdir" \
Packit c22fc9
	  && $(MAKE) $(AM_MAKEFLAGS) dist \
Packit c22fc9
	  && rm -rf $(DIST_ARCHIVES) \
Packit c22fc9
	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
Packit c22fc9
	  && cd "$$am__cwd" \
Packit c22fc9
	  || exit 1
Packit c22fc9
	$(am__post_remove_distdir)
Packit c22fc9
	@(echo "$(distdir) archives ready for distribution: "; \
Packit c22fc9
	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
Packit c22fc9
	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
Packit c22fc9
distuninstallcheck:
Packit c22fc9
	@test -n '$(distuninstallcheck_dir)' || { \
Packit c22fc9
	  echo 'ERROR: trying to run $@ with an empty' \
Packit c22fc9
	       '$$(distuninstallcheck_dir)' >&2; \
Packit c22fc9
	  exit 1; \
Packit c22fc9
	}; \
Packit c22fc9
	$(am__cd) '$(distuninstallcheck_dir)' || { \
Packit c22fc9
	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
Packit c22fc9
	  exit 1; \
Packit c22fc9
	}; \
Packit c22fc9
	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
Packit c22fc9
	   || { echo "ERROR: files left after uninstall:" ; \
Packit c22fc9
	        if test -n "$(DESTDIR)"; then \
Packit c22fc9
	          echo "  (check DESTDIR support)"; \
Packit c22fc9
	        fi ; \
Packit c22fc9
	        $(distuninstallcheck_listfiles) ; \
Packit c22fc9
	        exit 1; } >&2
Packit c22fc9
distcleancheck: distclean
Packit c22fc9
	@if test '$(srcdir)' = . ; then \
Packit c22fc9
	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
Packit c22fc9
	  exit 1 ; \
Packit c22fc9
	fi
Packit c22fc9
	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
Packit c22fc9
	  || { echo "ERROR: files left in build directory after distclean:" ; \
Packit c22fc9
	       $(distcleancheck_listfiles) ; \
Packit c22fc9
	       exit 1; } >&2
Packit c22fc9
check-am: all-am
Packit c22fc9
check: check-recursive
Packit c22fc9
all-am: Makefile $(DATA)
Packit c22fc9
installdirs: installdirs-recursive
Packit c22fc9
installdirs-am:
Packit c22fc9
	for dir in "$(DESTDIR)$(docdir)"; do \
Packit c22fc9
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
Packit c22fc9
	done
Packit c22fc9
install: install-recursive
Packit c22fc9
install-exec: install-exec-recursive
Packit c22fc9
install-data: install-data-recursive
Packit c22fc9
uninstall: uninstall-recursive
Packit c22fc9
Packit c22fc9
install-am: all-am
Packit c22fc9
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
Packit c22fc9
Packit c22fc9
installcheck: installcheck-recursive
Packit c22fc9
install-strip:
Packit c22fc9
	if test -z '$(STRIP)'; then \
Packit c22fc9
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
Packit c22fc9
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
Packit c22fc9
	      install; \
Packit c22fc9
	else \
Packit c22fc9
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
Packit c22fc9
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
Packit c22fc9
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
Packit c22fc9
	fi
Packit c22fc9
mostlyclean-generic:
Packit c22fc9
	-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
Packit c22fc9
Packit c22fc9
clean-generic:
Packit c22fc9
Packit c22fc9
distclean-generic:
Packit c22fc9
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
Packit c22fc9
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
Packit c22fc9
Packit c22fc9
maintainer-clean-generic:
Packit c22fc9
	@echo "This command is intended for maintainers to use"
Packit c22fc9
	@echo "it deletes files that may require special tools to rebuild."
Packit c22fc9
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
Packit c22fc9
clean: clean-recursive
Packit c22fc9
Packit c22fc9
clean-am: clean-generic clean-local mostlyclean-am
Packit c22fc9
Packit c22fc9
distclean: distclean-recursive
Packit c22fc9
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
Packit c22fc9
	-rm -f Makefile
Packit c22fc9
distclean-am: clean-am distclean-generic distclean-local \
Packit c22fc9
	distclean-tags
Packit c22fc9
Packit c22fc9
dvi: dvi-recursive
Packit c22fc9
Packit c22fc9
dvi-am:
Packit c22fc9
Packit c22fc9
html: html-recursive
Packit c22fc9
Packit c22fc9
html-am:
Packit c22fc9
Packit c22fc9
info: info-recursive
Packit c22fc9
Packit c22fc9
info-am:
Packit c22fc9
Packit c22fc9
install-data-am: install-docDATA
Packit c22fc9
Packit c22fc9
install-dvi: install-dvi-recursive
Packit c22fc9
Packit c22fc9
install-dvi-am:
Packit c22fc9
Packit c22fc9
install-exec-am:
Packit c22fc9
Packit c22fc9
install-html: install-html-recursive
Packit c22fc9
Packit c22fc9
install-html-am:
Packit c22fc9
Packit c22fc9
install-info: install-info-recursive
Packit c22fc9
Packit c22fc9
install-info-am:
Packit c22fc9
Packit c22fc9
install-man:
Packit c22fc9
Packit c22fc9
install-pdf: install-pdf-recursive
Packit c22fc9
Packit c22fc9
install-pdf-am:
Packit c22fc9
Packit c22fc9
install-ps: install-ps-recursive
Packit c22fc9
Packit c22fc9
install-ps-am:
Packit c22fc9
Packit c22fc9
installcheck-am:
Packit c22fc9
Packit c22fc9
maintainer-clean: maintainer-clean-recursive
Packit c22fc9
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
Packit c22fc9
	-rm -rf $(top_srcdir)/autom4te.cache
Packit c22fc9
	-rm -f Makefile
Packit c22fc9
maintainer-clean-am: distclean-am maintainer-clean-generic
Packit c22fc9
Packit c22fc9
mostlyclean: mostlyclean-recursive
Packit c22fc9
Packit c22fc9
mostlyclean-am: mostlyclean-generic
Packit c22fc9
Packit c22fc9
pdf: pdf-recursive
Packit c22fc9
Packit c22fc9
pdf-am:
Packit c22fc9
Packit c22fc9
ps: ps-recursive
Packit c22fc9
Packit c22fc9
ps-am:
Packit c22fc9
Packit c22fc9
uninstall-am: uninstall-docDATA
Packit c22fc9
Packit c22fc9
.MAKE: $(am__recursive_targets) install-am install-strip
Packit c22fc9
Packit c22fc9
.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
Packit c22fc9
	am--refresh check check-am clean clean-cscope clean-generic \
Packit c22fc9
	clean-local cscope cscopelist-am ctags ctags-am dist dist-all \
Packit c22fc9
	dist-bzip2 dist-gzip dist-hook dist-lzip dist-shar dist-tarZ \
Packit c22fc9
	dist-xz dist-zip distcheck distclean distclean-generic \
Packit c22fc9
	distclean-local distclean-tags distcleancheck distdir \
Packit c22fc9
	distuninstallcheck dvi dvi-am html html-am info info-am \
Packit c22fc9
	install install-am install-data install-data-am \
Packit c22fc9
	install-docDATA install-dvi install-dvi-am install-exec \
Packit c22fc9
	install-exec-am install-html install-html-am install-info \
Packit c22fc9
	install-info-am install-man install-pdf install-pdf-am \
Packit c22fc9
	install-ps install-ps-am install-strip installcheck \
Packit c22fc9
	installcheck-am installdirs installdirs-am maintainer-clean \
Packit c22fc9
	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
Packit c22fc9
	pdf-am ps ps-am tags tags-am uninstall uninstall-am \
Packit c22fc9
	uninstall-docDATA
Packit c22fc9
Packit c22fc9
.PRECIOUS: Makefile
Packit c22fc9
Packit c22fc9
Packit c22fc9
export			DEBUG_CFLAGS
Packit c22fc9
export			DEBUG_CPPFLAGS
Packit c22fc9
export			DEBUG_LDFLAGS
Packit c22fc9
Packit c22fc9
README:	$(srcdir)/README.md
Packit c22fc9
	@$(edit) '$(srcdir)/$@.md' >$@
Packit c22fc9
Packit c22fc9
distclean-local:
Packit c22fc9
	@rm -f aclocal.m4 ar-lib compile depcomp install-sh missing keepalived-$(VERSION).tar.gz config.log config.status
Packit c22fc9
	@rm -rf autom4te.cache
Packit c22fc9
Packit c22fc9
dist-hook:
Packit c22fc9
	@rm -f $(distdir)/README
Packit c22fc9
Packit c22fc9
.PHONY: docker
Packit c22fc9
docker:
Packit c22fc9
	docker build -t keepalived .
Packit c22fc9
Packit c22fc9
# clean all files that are generated by automake/autoconf etc
Packit c22fc9
autoclean:
Packit c22fc9
	@$(MAKE) distclean
Packit c22fc9
	@rm -f configure `find . -name Makefile.in` lib/config.h.in lib/git-commit.h
Packit c22fc9
Packit c22fc9
git-clean:
Packit c22fc9
	@$(MAKE) autoclean
Packit c22fc9
Packit c22fc9
clean-local: clean-local-snap
Packit c22fc9
Packit c22fc9
# clean files that are generated by snapcraft
Packit c22fc9
.PHONY:	clean-local-snap
Packit c22fc9
clean-local-snap:
Packit c22fc9
	-rm -rf parts/ prime/ stage/ keepalived_*.snap
Packit c22fc9
Packit c22fc9
# Added targets to maintain compatibility with keepalived releases 1.2.22 and earlier
Packit c22fc9
.PHONY: tarball rpm debug profile mrproper
Packit c22fc9
Packit c22fc9
tarball: dist
Packit c22fc9
Packit c22fc9
@RPM_TRUE@rpm:
Packit c22fc9
@RPM_TRUE@			@$(MAKE) dist
Packit c22fc9
@RPM_TRUE@@RPM_BIP_TRUE@	rpmbuild -ba --build-in-place keepalived.spec
Packit c22fc9
@RPM_TRUE@@RPM_BIP_FALSE@	@cp -p keepalived-$(VERSION).tar.gz `rpm --eval "%{_sourcedir}"`
Packit c22fc9
@RPM_TRUE@@RPM_BIP_FALSE@	rpmbuild -ba keepalived.spec
Packit c22fc9
Packit c22fc9
debug:
Packit c22fc9
	@$(MAKE) DEBUG_LDFLAGS=-ggdb
Packit c22fc9
Packit c22fc9
profile:
Packit c22fc9
	@$(MAKE) DEBUG_CFLAGS=-pg
Packit c22fc9
Packit c22fc9
mrproper:
Packit c22fc9
	@echo Please use `make distclean`
Packit c22fc9
Packit c22fc9
# Tell versions [3.59,3.63) of GNU make to not export all variables.
Packit c22fc9
# Otherwise a system limit (for SysV at least) may be exceeded.
Packit c22fc9
.NOEXPORT: